Subject: Re: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear

From: Eli Zaretskii <[email-masked]>
Date: Mon, 03 Sep 2012 18:53:34 +0300

> From: Kenichi Handa <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Mon, 03 Sep 2012 22:55:36 +0900
> 
> In article <[email-masked]>, Eli Zaretskii <[email-masked]> writes:
> 
> > The problem was that the code I committed didn't expect to handle more
> > than a single grapheme cluster.  I now fixed that code for the case of
> > several grapheme clusters that are handed to the shaper all at once.
> > With the modified code (trunk revision 109842), both Steffan's recipe
> > and the check-arabic-shaper function work correctly.  Please test.
> 
> I tested with this version:
> 
>   http://alpha.gnu.org/gnu/emacs/windows/emacs-20120903-r109861-bin-i386.zip
> 
> and confirmed that the problem was fixed.  The Arabic line
> of HELLO file is also displayed correctly.

Thanks for testing.  I will wait for Steffan's confirmation before
closing the bug report.

> By the way, it seems that "arial" font has better OTF GPOS feautre
> for Arabic than the default font "courier new".
> 
> Try to evaluate this on Windows:
>   (set-fontset-font t 'arabic (font-spec :family "arial" :size 30))
> and see the position of upper vowels.

It indeed looks nicer, but its base line is too high, IMHO, and thus
the Arabic text looks awkward wrt surrounding Latin text, see the
attached snapshot.